using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace WindowsApplication6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
            this.gridControl1.TableStyle.CellType = "FormulaCell";
            this.gridControl1.CurrentCellKeyDown += new KeyEventHandler(gridControl1_CurrentCellKeyDown);

            GridFormulaEngine engine = ((GridFormulaCellModel)gridControl1.CellModels["FormulaCell"]).Engine;
            GridFormulaCellRenderer.ForceEditWhenActivated = false;
          

            engine.ForceSaveCellInfo = true;

            gridControl1[1, 1].CellValue = 12;
            gridControl1[1, 2].CellValue = 13;
            gridControl1[1, 3].CellType = "FormulaCell";
            gridControl1[1, 3].CellValue = "=A1+b1";



         
          //  this.gridControl1.ActivateCurrentCellBehavior = GridCellActivateAction.None;
        }


        void gridControl1_CurrentCellKeyDown(object sender, KeyEventArgs e)
        {
            GridCurrentCell cc = this.gridControl1.CurrentCell;
            Console.WriteLine("isEditng={0}", cc.IsEditing);
           
            if (e.KeyCode == Keys.Delete && !cc.IsEditing) 
            {
                 e.Handled = true;
                
                 cc.Renderer.Control.Text = "";
                 cc.EndEdit();
                 cc.ConfirmChanges();
             } 
            else if (e.KeyCode == Keys.Home) 
            { e.Handled = true; cc.MoveTo(cc.RowIndex, 1); 
            } 
            else if (e.KeyCode == Keys.End) 
            { e.Handled = true; cc.MoveTo(cc.RowIndex, this.gridControl1.ColCount); }
        }
    }
}